<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="login"
            type="String" />
        <variable
            name="password"
            type="String" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/colorPrimaryDark">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/king"
            android:textAlignment="center"
            android:textColor="@color/colorAccent"
            android:textSize="64sp"
            android:layout_marginTop="16dp"
            android:fontFamily="@font/ancient"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"/>

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/login"
            android:hint="@string/login"
            android:textSize="24sp"
            android:text="@={login}"
            android:backgroundTint="@color/colorAccent"
            android:textColorHint="@color/colorAccent"
            android:textColor="@color/colorAccent"
            android:layout_width="150dp"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"/>

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/password"
            android:hint="@string/password"
            android:textSize="24sp"
            android:text="@={password}"
            android:inputType="textPassword"
            android:backgroundTint="@color/colorAccent"
            android:textColorHint="@color/colorAccent"
            android:textColor="@color/colorAccent"
            android:layout_width="150dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/login"/>

        <TextView
            android:id="@+id/btnLogin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/login"
            android:textSize="36sp"
            android:layout_marginTop="8dp"
            android:textColor="@color/colorAccent"
            android:fontFamily="@font/ancient"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/password"/>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toBottomOf="@+id/btnLogin"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent">

            <TextView
                android:id="@+id/freshly"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/freshly"
                android:textSize="24sp"
                android:layout_marginTop="8dp"
                android:paddingEnd="8dp"
                android:paddingStart="8dp"
                android:textColor="@color/colorGray"
                android:fontFamily="@font/ancient"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/btnRegister"/>
            <TextView
                android:id="@+id/btnRegister"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/reg_now"
                android:textSize="24sp"
                android:layout_marginTop="8dp"
                android:textColor="@color/colorAccent"
                android:fontFamily="@font/ancient"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintStart_toEndOf="@id/freshly"
                app:layout_constraintEnd_toEndOf="parent"/>
        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
